package com.schisandra.oss.infra.basic.service.impl;

import com.schisandra.oss.infra.basic.entity.SchisandraOssQingyun;
import com.schisandra.oss.infra.basic.dao.SchisandraOssQingyunDao;
import com.schisandra.oss.infra.basic.service.SchisandraOssQingyunService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * 青云对象存储配置表 表服务实现类
 *
 * @author landaiqing
 * @since 2024-06-02 22:21:09
 */
@Service("SchisandraOssQingyunService")
public class SchisandraOssQingyunServiceImpl implements SchisandraOssQingyunService {

    @Resource
    private SchisandraOssQingyunDao schisandraOssQingyunDao;

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    @Override
    public SchisandraOssQingyun queryById(Long id) {
        return this.schisandraOssQingyunDao.selectOneById(id);
    }

    /**
     * 新增数据
     *
     * @param schisandraOssQingyun 实例对象
     * @return 实例对象
     */
    @Override
    public int insert(SchisandraOssQingyun schisandraOssQingyun) {
        return this.schisandraOssQingyunDao.insert(schisandraOssQingyun,true);
    }

    /**
     * 修改数据
     *
     * @param schisandraOssQingyun 实例对象
     * @return 实例对象
     */
    @Override
    public int update(SchisandraOssQingyun schisandraOssQingyun) {
        return this.schisandraOssQingyunDao.update(schisandraOssQingyun,true);
    }

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    @Override
    public boolean deleteById(Long id) {
        return this.schisandraOssQingyunDao.deleteById(id) > 0;
    }


}
